Package org.apache.wiki.api.exceptions

# Class ProviderException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.wiki.api.exceptions.WikiException
org.apache.wiki.api.exceptions.ProviderException

All Implemented Interfaces:
  `Serializable`

public class ProviderException extends WikiException
This exception represents the superclass of all exceptions that providers may throw. It is okay to throw it in case you cannot use any of the specific subclasses, in which case the page loading is considered to be broken, and the user is notified.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ProviderException(String msg)`
Creates a ProviderException.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProviderException

public ProviderException(String msg)
Creates a ProviderException.

Parameters:
  `msg` - exception message.